invalid pointer in "free"

11 Jul 2017 10:24 - John Abbott

Status: In Progress Start date: 11 Jul 2017

Priority: Normal Due date:  

Assignee: John Abbott % Done: 10%

Category: Various Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 1.00 hour

Description

I have a non-trivial program written using CoCoALib which causes the following error (on Fedora Linux):

*** Error in `./BigGCD-factor': free(): invalid pointer: 0x0000000001ef2bc8 ***

 

The problem appears after about 54 hours' CPU, and seems not to occur with small parameters (and faster run times).

A second run reproduced the same problem at the same point (as far as I recall).

History

#1 - 11 Jul 2017 10:27 - John Abbott

- Subject changed from inavlid pointer in "free" to invalid pointer in "free"

How to debug this?  Finding a smaller/faster example would help... but how?

Perhaps I'll try running it with valgrind or maybe gdb?

It'll take a long time, I fear.

UPDATE With valgrind I estimate more than 1500 hours' run-time; so I have stopped it.  Trying gdb instead...

#2 - 20 Jul 2017 13:06 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 10

After about 150 hours the program running under gdb the program finally died from a SIGABRT.

The problem occurred inside DistrMPolyImplPP::ourDeleteSummands; apparently a coefficient pointer is invalid (corrupted?)

#3 - 15 Mar 2024 18:31 - John Abbott

- Related to Feature #743: Better errors: give supplementary info about the error added

#4 - 15 Mar 2024 18:31 - John Abbott

- Related to deleted (Feature #743: Better errors: give supplementary info about the error)
